#include <bits/stdc++.h>

using namespace std;
long niz[1005];
int main()
{
    ios_base::sync_with_stdio(false);
    long n, i, k, x, a = 0;
    cin >> n >> k >> x;
    while(a*(a + 1) <= 2*k)a++;
    a--;
    niz[0] = 1;
    for(i = 1; i <= a; i++) niz[i] = niz[i - 1] + x;
    niz[a + 1] = niz[k - a*(a + 1)/2];
    for(i = a + 2; i < n; i++) niz[i] = niz[i - 1];
    for(i = 0; i < n; i++) cout << niz[i] << " ";
    return 0;
}